/// <reference types="hoist-non-react-statics" />
import type { TypographyVariant, TypographySizes } from "../../../types/styled";
declare type Props = {
    bold?: boolean;
    gray?: boolean;
    error?: boolean;
    variant?: TypographyVariant;
    as?: string;
};
export declare const T: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const F26: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const H1: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
    as: string;
}, "as">;
export declare const H2: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
    as: string;
}, "as">;
export declare const H3: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
    as: string;
}, "as">;
export declare const H4: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
    as: string;
}, "as">;
export declare const T14: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
declare type ParagraphType = Record<Uppercase<TypographySizes>, typeof T>;
/**
 * @deprecated use the T comp instead
 */
export declare const P: ParagraphType;
export declare const T26: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T20: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T18: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T16: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T10: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T24: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const T28: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const E10: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const E12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const G10: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const G12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const G14: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const B18: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const B16: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const B14: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const B12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const B24: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
export declare const B28: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
declare const _default: string & import("styled-components").StyledComponentBase<"span", import("styled-components").DefaultTheme, Props, never> & import("hoist-non-react-statics").NonReactStatics<never, {}> & {
    H1: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
        as: string;
    }, "as">;
    H2: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
        as: string;
    }, "as">;
    H3: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
        as: string;
    }, "as">;
    H4: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props & {
        as: string;
    }, "as">;
    T10: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T14: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T16: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T18: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T20: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T24: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T26: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    T28: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    F26: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    E10: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    E12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    G10: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    G12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    G14: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    B18: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    B16: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    B14: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    B12: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    B24: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
    B28: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, Props, never>;
};
export default _default;
